Skip to content

Domain Admins can use this request to retrieve a list of all Vaults currently in their domain.

GET/api/{version}/objects/domain
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.1/objects/domain
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "domain__v": { "domain_name__v": "veepharm", "domain_type__v": "Test", "vaults__v": [ { "vault_name__v": "PromoMats", "vault_status__v": "Active", "id": "19523", "vault_application__v": "PromoMats" } ] } }
NameDescription
domain_name__vThe name of the domain containing the Vaults. This is unique to each customer and part of the DNS of each Vault.
domain_type__vThe type of domain (Production, Sandbox, Demo, or Test).
vault_name__vThe name of each Vault. This may be the same as the application or set to something unique.
vault_status__vThe current status of each Vault (Active or Inactive). Inactive Vaults are inaccessible.
idThe system-managed numeric ID assigned to each Vault. This is the Vault ID (vault_id__v) required in some requests.
vault_application__vThe application of each Vault.

In the UI, this information is displayed in Admin > Settings > General Settings and Admin > Settings > Domain Information.